Subject: bug#63710: use-package not working

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 May 2023 10:01:32 +0300

> Cc: [email-masked]
> Date: Thu, 25 May 2023 07:47:59 +0200
> From: Pedro A. Aranda Gutiérrez <[email-masked]>
> 
> Hi,
> 
> I compiled emacs master yesterday and use-package doesn't work anymore.
> 
> When I compile emacs, I delete .emacs.d/elpa and .emacs.d/eln-cache to
> 
> I get error messages like:
> 
> Error (use-package): Failed to install compat: Wrong type argument: 
> package-desc, nil
> Error (use-package): Cannot load compat
> 
> for all packages, after they are downloaded from ELPA.
> 
> 
> Bug reports don't work either except from
> 
> emacs -Q
> 
>   In GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
>   3.24.33, cairo version 1.16.0) of 2023-05-24 built on ac93448f1beb
> Repository revision: b2b2be98da5825e6bc130999ffe38f5ed615586a
> Repository branch: master
> Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
> System Description: Ubuntu 22.04.2 LTS

Thanks.  I don't see any recent changes to use-package, so bisecting
would be appreciated.